Target version: 1.10.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request: https://github.com/theforeman/foreman/p
ull/3298
Description

Since rake 11.x was released, rake tasks are failing with the following:

NoMethodError: undefined method "~last_comment' for #<Rake::Application:0x00000000cc8350>
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rubocop-0.35.1/1ib/rubocop/rake_task.rb:23:in °
initialize'
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/lib/tasks/ruboco
p.rake:5:in “new'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/lib/tasks/ruboco
p.rake:5:in “<top (required)>'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-4.1.14.2/1ib/active_support/depen
dencies.rb:241:in " load'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-4.1.14.2/1ib/active_support/depen
dencies.rb:241:in “block in load'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-4.1.14.2/1ib/active_support/depen
dencies.rb:232:in " load_dependency'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-4.1.14.2/1ib/active_support/depen
dencies.rb:241:in " load'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/engine.rb:654:in b
lock in run_tasks_blocks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/engine.rb:654:in "e
ach'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/engine.rb:654:in “r
un_tasks_blocks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/application.rb:400:
in “run_tasks_blocks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/engine.rb:449:in "1
oad_tasks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/railtie.rb:194:in °
public_send’
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-4.1.14.2/1ib/rails/railtie.rb:194:in °
method_missing'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/Rakefile:7:in "<
top (required)>'

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/bin/ruby_executable_hooks:15:in “eval'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/bin/ruby_executable_hooks:15:in "~<main>'

This is a bug in rubocop to be fixed in https:/github.com/bbatsov/rubocop/pull/2931. In the meantime and for stable branches, the
version of rake should probably be pinned to avoid updating rubocop.

Related issues:
Related to Foreman - Feature #14133: Update to rubocop 0.38.0 Closed 03/10/2016

Associated revisions

Revision d29a748f - 03/09/2016 06:46 AM - Dominic Cleal
https://github.com/bbatsov/rubocop/pull/2931

fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility

Revision 3ae0b2f1 - 03/09/2016 11:59 AM - Dominic Cleal

fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility

(cherry picked from commit d29a748f6653bcae41272d9faalaae61adbcfbbe)
Revision ae2a32b6 - 03/09/2016 12:00 PM - Dominic Cleal

fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility

(cherry picked from commit d29a748f6653bcae41272d9faalaae61a4bcfbbe)
Revision 6d08b855 - 03/10/2016 10:49 AM - Dominic Cleal

fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility

(cherry picked from commit d29a748f6653bcae41272d9faalaae61a4bcfbbe)
Revision 3cc82aee - 03/29/2016 02:23 PM - Dominic Cleal

fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility

(cherry picked from commit d29a748f6653bcae41272d9faalaae61adbcfbbe)

History

#1 - 03/09/2016 04:09 AM - Dominic Cleal

- Subject changed from Rake tasks fail under rake 1.11 with undefined method “last_comment' to Rake tasks fail under rake 11.x with undefined
method “last_comment'

- Description updated

#2 - 03/09/2016 04:12 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3298 added

#3 - 03/09/2016 07:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d29a748f6653bcae41272d9faalaaeb1adbctbbe.

#4 - 03/10/2016 03:58 AM - Dominic Cleal
- Related to Feature #14133: Update to rubocop 0.38.0 added

#5 - 04/11/2016 11:48 AM - Bryan Kearney
- Bugzilla link set to 1326032
